{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NEC_CODE"; 
            externalType = VARCHAR2; 
            name = necCode; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = "NEC_DETAILS"; 
            externalType = VARCHAR2; 
            name = necDetails; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = "NEC_ID"; 
            externalType = NUMBER; 
            name = necId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NEC_LIBELLE"; 
            externalType = VARCHAR2; 
            name = necLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, necCode, necDetails, necId, necLibelle); 
    className = "org.cocktail.jefyadmin.server.metier.EONomenclatureEtatDetailleCredits"; 
    classProperties = (exeOrdre, necCode, necDetails, necLibelle, toExercice); 
    externalName = "JEFY_ADMIN.NOMENCLATURE_ETAT_CREDIT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (necCode, necDetails, necLibelle); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EONomenclatureEtatDetailleCredits"; 
    }; 
    name = NomenclatureEtatDetailleCredits; 
    primaryKeyAttributes = (necId); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = toExercice; 
        }
    ); 
}
